// Ionic Starter App

// angular.module is a global place for creating, registering and retrieving Angular modules
// 'starter' is the name of this angular module example (also set in a <body> attribute in index.html)
// the 2nd parameter is an array of 'requires'
var app = angular.module('Jambo', ['ionic', 'directives', 'services', 'ngIOS9UIWebViewPatch','720kb.datepicker','angularMoment']);

app.constant('shopSettings',{
   payPalSandboxId : 'AYgB_QVibgrEgu1WnvbLcoURfO3ENSHekW63-3E2I27e4QgxfrfjIhuMdVWAmnjlCvCWIzZtwLvZvyCv',
   payPalProductionId : 'AdCKnKoCYSIfwlPm4FWMOLiQ32cTgduGmbhmAbK8cLwwHY1vAJbEXZVR795NQ68Nni2ly-4KwUBg-A9u',
   payPalEnv: 'PayPalEnvironmentProduction',   // for testing  production for production
   payPalShopName : 'JamboFruit',
   paypalLanguageOrLocale : 'en'

});
app.config(function ($stateProvider, $urlRouterProvider, $ionicConfigProvider) {
    $stateProvider
        .state('app.login', {
            url: "/login/:forced",
            views: {
                'menuContent': {
                    templateUrl: "templates/login.html",
                    controller: 'Login'
                }
            }

        })
        .state('registro', {
            url: "/registro/:forced",
            controller: "Registro",
            templateUrl: "templates/registro.html"
        })
        .state('olvide', {
            url: "/olvide",
            controller: "Olvide",
            templateUrl: "templates/olvide.html"
        })
        .state('app', {
            url: "/app",
            abstract: true,
            templateUrl: "templates/menu.html"
        })
        .state('app.quienesSomos', {
            url: "/quienesSomos",
            views: {
                'menuContent': {
                    templateUrl: "templates/quienesSomos.html",
                    controller: 'QuienesSomos'
                }
            }
        })
        .state('app.comoFunciona', {
            url: "/comoFunciona",
            views: {
                'menuContent': {
                    templateUrl: "templates/comoFunciona.html",
                    controller: 'ComoFunciona'
                }
            }
        })
        .state('app.zonas', {
            url: "/zonas",
            views: {
                'menuContent': {
                    templateUrl: "templates/zonas.html",
                    controller: 'Zonas'
                }
            }
        })
        .state('app.zona', {
            url: "/zona/:id",
            views: {
                'menuContent': {
                    templateUrl: "templates/zona.html",
                    controller: 'Zona'
                }
            }
        })
        .state('app.home', {
            url: "/home",
            views: {
                'menuContent': {
                    templateUrl: "templates/home.html",
                    controller: 'Home'
                }
            }
        }).state('app.productos', {
            url: "/productos/:id/:regalo",
            views: {
                'menuContent': {
                    templateUrl: "templates/productos.html",
                    controller: 'Productos'
                }
            }
        }).state('app.producto', {
            url: "/producto/:id/:regalo",
            views: {
                'menuContent': {
                    templateUrl: "templates/producto.html",
                    controller: 'Producto'
                }
            }
        }).state('app.mensajes', {
            url: "/mensajes",
            views: {
                'menuContent': {
                    templateUrl: "templates/mensajes.html",
                    controller: 'Mensajes'
                }
            }
        }).state('app.mensaje', {
            url: "/mensaje/:id",
            views: {
                'menuContent': {
                    templateUrl: "templates/mensaje.html",
                    controller: 'Mensaje'
                }
            }
        }).state('app.paquetes', {
            url: "/paquetes/:tipo",
            views: {
                'menuContent': {
                    templateUrl: "templates/paquetes.html",
                    controller: 'Paquetes'
                }
            }
        }).state('app.pedidosSemanales', {
            url: "/pedidosSemanales",
            views: {
                'menuContent': {
                    templateUrl: "templates/pedidosSemanales.html",
                    controller: 'PedidosSemanales'
                }
            }
        }).state('app.miPedidoSem', {
            url: "/miPedidoSem/:id/:suscripcion",
            views: {
                'menuContent': {
                    templateUrl: "templates/miPedidoSem.html",
                    controller: 'MiPedidoSem'
                }
            }
        }).state('app.canasta', {
            url: "/canasta",
            views: {
                'menuContent': {
                    templateUrl: "templates/canasta.html",
                    controller: 'Canasta'
                }
            }
        }).state('app.contacto', {
            url: "/contacto",
            views: {
                'menuContent': {
                    templateUrl: "templates/contacto.html",
                    controller: 'Contacto'
                }
            }
        }).state('app.carrito', {
            url: "/carrito",
            views: {
                'menuContent': {
                    templateUrl: "templates/carrito.html",
                    controller: 'Carrito'
                }
            }
        }).state('app.paquete', {
            url: "/paquete/:id",
            views: {
                'menuContent': {
                    templateUrl: "templates/paquete.html",
                    controller: 'Paquete'
                }
            }
        }).state('app.pago', {
            url: "/pago",
            views: {
                'menuContent': {
                    templateUrl: "templates/pago.html",
                    controller: 'Pago'
                }
            }
        }).state('app.facturacion', {
            url: "/facturacion",
            views: {
                'menuContent': {
                    templateUrl: "templates/facturacion.html",
                    controller: 'Facturacion'
                }
            }
        }).state('app.envio', {
            url: "/envio",
            views: {
                'menuContent': {
                    templateUrl: "templates/envio.html",
                    controller: 'Envio'
                }
            }
        }).state('app.finalizar', {
            url: "/finalizar",
            views: {
                'menuContent': {
                    templateUrl: "templates/finalizar.html",
                    controller: 'Finalizar'
                }
            }
        }).state('app.agregarTarjeta', {
            url: "/agregarTarjeta/:tipo",
            views: {
                'menuContent': {
                    templateUrl: "templates/agregarTarjeta.html",
                    controller: 'AgregarTarjeta'
                }
            }
        }).state('app.perfil', {
            url: "/perfil",
            views: {
                'menuContent': {
                    templateUrl: "templates/perfil.html",
                    controller: 'Perfil'
                }
            }
        }).state('app.updatePass', {
            url: "/updatePass",
            views: {
                'menuContent': {
                    templateUrl: "templates/updatePass.html",
                    controller: 'UpdatePass'
                }
            }
        });

    $urlRouterProvider.otherwise('/app/login/0',{forced:0});
    //$urlRouterProvider.otherwise('/app/home');
});

app.run(function ($ionicPlatform,$rootScope, $state,PushNotifications,$http,$ionicPopup,$ionicLoading,moment,PaypalService,Pagos) {

    $ionicPlatform.ready(function () {
        if (window.cordova && window.cordova.plugins.Keyboard) {
            PushNotifications.initNotifications();
            // Hide the accessory bar by default (remove this to show the accessory bar above the keyboard
            // for form inputs)
            cordova.plugins.Keyboard.hideKeyboardAccessoryBar(false);
            cordova.plugins.Keyboard.disableScroll(true);
            // Don't remove this line unless you know what you are doing. It stops the viewport
            // from snapping when text inputs are focused. Ionic handles this internally for
            // a much nicer keyboard experience.
            
           


            setTimeout(function() {
                navigator.splashscreen.hide();
            }, 100);
        }
        if (window.StatusBar) {
            StatusBar.styleDefault();
        }
        $ionicPlatform.registerBackButtonAction(function (event) {
            if($state.current.name=="app.home"){
              navigator.app.exitApp();
            }
            else {
              navigator.app.backHistory();
            }
          }, 100);


    });

    var usuario=JSON.parse(window.localStorage['usuario'] || '{}');
    console.log(usuario);
    console.log("Gad");
    $rootScope.isLogged=usuario._id>0;
    if(usuario._id>0){
        $rootScope.baseUrl = 'https://asimon.mx/asimon/1.16.6.php?userpath=cliente('+usuario._id+')._user&username='+usuario._user[0].username._value+'&password='+usuario._user[0].password.md5+'&db=jambofruit';
    }
    else{
        $rootScope.baseUrl = 'https://asimon.mx/asimon/1.16.6.php?userpath=admin(1)._user(3)&username=m&password=5d00e0acc46d9dab99892e96204a19ce&db=jambofruit';
    }
    console.log($rootScope.baseUrl);


    
            
    $rootScope.setDay = function(date,dayOfWeek) {
        console.log(dayOfWeek);

        date.setDate(date.getDate() - date.getDay() + dayOfWeek);
        console.log(date);

        var hoy=new Date();
        if((date.getDate()-7)==hoy.getDate()){
            date.setDate(date.getDate() - 7);
        }
        else if((date.getDate()-7)>hoy.getDate()){
            date.setDate(date.getDate() - 7);
        }
        else if(date.getDate()<hoy.getDate()){
            date.setDate(date.getDate() + 7);
        }
        return date;
        //this.setDate(this.getDate()-1);

    };


    $rootScope.menuGoto = function (a) {

        if (a == 1) {
            $state.go('app.quienesSomos');
        } else if (a == 2) {
            $state.go('app.comoFunciona');
        } else if (a == 3) {
            $state.go('app.zonas');
        } else if (a == 4) {
            $state.go('app.home');
        } else if (a == 5) {
            $state.go('app.carrito');
        } else if (a == 6) {
            $state.go('app.paquetes');
        } else if (a == 7) {
            $state.go('app.canasta');
        } else if (a == 8) {
            $state.go('app.pedidosSemanales');
        } else if (a == 9) {
            $state.go('app.mensajes');
        } else if (a == 10) {
            $state.go('app.pago');
        } else if (a == 11) {
            $state.go('app.perfil');
        } else if (a == 12) {
            $state.go('app.contacto');
        } else if (a == 13) {
            $rootScope.baseUrl = 'https://asimon.mx/asimon/1.16.6.php?userpath=admin(1)._user(3)&username=m&password=5d00e0acc46d9dab99892e96204a19ce&db=jambofruit';
            
            window.localStorage.setItem('usuario', '{}');
            $state.go('app.login');

        }
    }
    $rootScope.getPedidosSemanales=function(){
        var usuario=JSON.parse(window.localStorage['usuario'] || '{}');
        var urlPedidosSemanales=$rootScope.baseUrl + '&action=get&path=pedido_semanal{cliente.id:'+usuario._id+'}{estado._value:En espera del cliente}{}';
        console.log(urlPedidosSemanales);
        $http.get(urlPedidosSemanales)
            .success(function (d) {
                var pedidos= d.value;
                console.log(pedidos);
                var lastPedidoId=-1;
                for (var i = 0; i < pedidos.length; i++) {
                    var pedido=pedidos[i];
                    
                    if(pedido._id==lastPedidoId)continue;
                    lastPedidoId=pedido._id;
                    
                      var myPopup = $ionicPopup.show({
                        title: 'Confirmación de Pedido Semanal',
                        template: '<center>Te enviaremos tu pedido esta semana <br><br>Dia: '+pedido.dia._value+'<br>Hora: '+pedido.hora._value+'<br>Pago: '+pedido.tipo_pago._value+'</center><br><br>¿Deseas aceptar tu pedido para esta semana?',
                        //scope: $scope,
                        buttons: [
                          {
                            text: '<b>Aceptar</b>',
                            type: 'button-positive',
                            onTap: function(e) {
                                var urlAceptar=$rootScope.baseUrl + '&action=update&path=pedido_semanal('+pedido._id+').estado._value&value="Aceptado"';
                                console.log(urlAceptar);
                                $http.get(urlAceptar)
                                    .success(function (d) {
                                        crearPedidoDeSemanal(pedido);
                                    });
                                }
                          },
                          {
                            text: '<b>Rechazar</b>',
                            type: 'button-assertive',
                            onTap: function(e) {
                                var urlRechazar=$rootScope.baseUrl + '&action=update&path=pedido_semanal('+pedido._id+').estado._value&value="Rechazado por el cliente"';
                                $http.get(urlRechazar)
                                    .success(function (d) {
                                      
                                    });
                            }
                          }
                        ]
                      });
                   
                }
                
        });
    }
    $rootScope.getPedidosSemanales();

    var crearPedidoDeSemanal=function(pedido_semanal){
        var url = $rootScope.baseUrl + '&path=pedido&action=table_insert';

        var user = JSON.parse(window.localStorage['usuario']);
        $http.get(url)
            .success(function (response) {
                console.log(response.push.ok);

                if (response.push.ok==1 ) {
                    var pedido=response.value;

                    if(pedido_semanal.descuento._value){
                        pedido.descuento.id=pedido_semanal.descuento._id;
                        pedido.descuento.value=pedido_semanal.descuento._value;
                    }
                    
                    pedido.factura._value=pedido_semanal.factura._value;
                    pedido.cliente._value=pedido_semanal.cliente._value
                    pedido.cliente.id=pedido_semanal.cliente.id;
                    pedido.estado._value="Aceptado";
                    pedido.zona.id=pedido_semanal.zona._id;
                    pedido.zona._value=pedido_semanal.zona._value;
                    pedido.total._value=pedido_semanal.total._value;
                    pedido.generado_por._value="Pedido semanal";
                    pedido.generado_por.id=pedido_semanal._id;
                    
                    var d = new Date();
                    console.log(d);
                    if(pedido_semanal.dia._value=="Domingo"){
                        d=$rootScope.setDay(d,0); 
                    }
                    if(pedido_semanal.dia._value=="Lunes"){
                        d=$rootScope.setDay(d,1); 
                    }
                    if(pedido_semanal.dia._value=="Martes"){
                        d=$rootScope.setDay(d,2); 
                    }
                    if(pedido_semanal.dia._value=="Miercoles"){
                        d=$rootScope.setDay(d,3); 
                    }
                    if(pedido_semanal.dia._value=="Jueves"){
                        d=$rootScope.setDay(d,4); 
                    }
                    if(pedido_semanal.dia._value=="Viernes"){
                        d=$rootScope.setDay(d,5); 
                    }
                    if(pedido_semanal.dia._value=="Sabado"){
                        d=$rootScope.setDay(d,6); 
                    }
                    

                    var day = d.getDate();
                    var month = d.getMonth()+1;
                    var year = d.getFullYear();
                    var fechaInicio=moment(year+"-"+month+"-"+day, "YYYY-MM-DD");  

                    console.log(d);
                    console.log(fechaInicio);
                    pedido.fecha._value=fechaInicio;
                    
                    pedido.hora._value=pedido_semanal.hora._value;
                    pedido.direccion._value=pedido_semanal.direccion._value;


                    pedido.tipo_pago._value=pedido_semanal.tipo_pago._value;
                    
                    





                    var productos=[{
                        "_id": 0,
                        "_class": "_tableh",
                        "_table_label": "Productos",
                        "_label": "Producto",
                        "cantidad": {
                            "_class": "number",
                            "_value": 1,
                            "_label": "Cantidad"
                        },
                        "producto": {
                            "_class": "table_ref",
                            "_value": "",
                            "_label": "Producto",
                            "_path": "producto",
                            "columns": [
                                "nombre",
                                "precio"
                            ],
                           "id": -1
                        }
                    }];
                    var carrito=pedido_semanal.productos;
                    for (var i=1 ; i < carrito.length; i++) {
                        productos.push({
                            "_id": i+1,
                            "_table_label": "Productos",
                            "_label": "Producto",
                            "cantidad": {
                                "_class": "number",
                                "_value": carrito[i].cantidad._value,
                                "_label": "Cantidad"
                            },
                            "producto": {
                                "_class": "table_ref",
                                "_value": carrito[i].producto._value,
                                "_label": "Producto",
                                "_path": "producto",
                                "columns": [
                                    "nombre",
                                    "precio"
                                ],
                                "id": carrito[i].producto.id
                            }
                        })
                    };
                    pedido.estado._value="Pendiente";
                    pedido.productos=productos;
                    
                    //var urlUpdate = $rootScope.baseUrl + '&action=set&path=pedido('+pedido._id+')&value='+JSON.stringify(pedido);
                    var urlUpdate = $rootScope.baseUrl + '&action=set&path=pedido('+pedido._id+')';
                    
                    var dataUpdate={'value':pedido};
                    
                    var urlUnset = $rootScope.baseUrl + '&action=unset&path=pedido('+pedido._id+')';
                    

                    console.log(pedido_semanal);
                    if(pedido.tipo_pago._value=='tarjeta'){
                        var card=pedido_semanal.tarjeta;
                        pedido.tarjeta=card;
                        var urlUpdate = $rootScope.baseUrl + '&action=set&path=pedido_semanal('+pedido._id+')&value='+JSON.stringify(pedido);

                        
                        console.log(card);
                        var deviceSessionId = OpenPay.deviceData.setup("payment-form", "deviceIdHiddenFieldName");
                        Pagos.cobrar(card, deviceSessionId, pedido_semanal.total._value,'Pago de frutas',pedido._id).then(function (responsePago) {
                            if(responsePago.value.status=="completed"){

                                console.log(responsePago);
                                pedido.pago._value=responsePago.value.id;
                                
                                //$http.get(urlUpdate)
                                $http.post(urlUpdate, dataUpdate)
                                .success(function (response2) {
                                    
                                    //sendMail(pedido_semanal.productos,pedido_semanal.direccion._value,pedido_semanal.hora._value,user.nombre._value,pedido_semanal.total._value,pedido.fecha._value,pedido_semanal.zona.nombre._value,pedido.tipo_pago._value);
                                    sendMail(pedido_semanal.productos,pedido_semanal.direccion._value,pedido_semanal.hora._value,user.nombre._value,pedido_semanal.total._value,pedido.fecha._value,pedido.zona._value,pedido.tipo_pago._value);

                                    
                                }).error(function (error) {
                                    $ionicLoading.hide();
                                    console.log(error);
                                    var alertPopup = $ionicPopup.alert({
                                        title: 'Jambo Fruit',
                                        template: 'Ocurrio un error en la conexión, intentalo mas tarde'
                                    });
                                });
                            }else{
                                $http.get(urlUnset)
                                .success(function (response2) {
                                                                                                               
                                });
                                var urlAceptar=$rootScope.baseUrl + '&action=update&path=pedido_semanal('+pedido_semanal._id+').estado._value&value="En espera del cliente"';
                                console.log(urlAceptar);
                                $http.get(urlAceptar)
                                .success(function (response2) {
                                });

                                $ionicLoading.hide();
                                var alertPopup = $ionicPopup.alert({
                                    title: 'Jambo Fruit',
                                    template: 'No se pudo realizar el cobro, intentalo mas tarde'
                                });
                            }

                        },function(error){
                                $http.get(urlUnset)
                                .success(function (response2) {
                                                                                                               
                                });
                                var urlAceptar=$rootScope.baseUrl + '&action=update&path=pedido_semanal('+pedido_semanal._id+').estado._value&value="En espera del cliente"';
                                console.log(urlAceptar);
                                $http.get(urlAceptar)
                                .success(function (response2) {
                                });
                                $ionicLoading.hide();
                                    var alertPopup = $ionicPopup.alert({
                                        title: 'Jambo Fruit',
                                        template: 'No se pudo realizar el cobro, intentalo mas tarde'
                                    });
                            });

                        
                    }
                    else if(pedido.tipo_pago._value=='PayPal'){
                        PaypalService.initPaymentUI().then(function () { 
                            PaypalService.makePayment(pedido_semanal.total._value, "Total").then(function(responsePago){

                                pedido.pago._value=responsePago.response.id;
                                
                                //$http.get(urlUpdate)
                                $http.post(urlUpdate, dataUpdate)
                                .success(function (response2) {
                                    //sendMail(pedido.productos,pedido.direccion._value,pedido.hora._value,user.nombre._value,pedido.total._value,pedido.fecha._value,pedido.zona._value,pedido.tipo_pago._value);
                                    sendMail(pedido_semanal.productos,pedido_semanal.direccion._value,pedido_semanal.hora._value,user.nombre._value,pedido_semanal.total._value,pedido.fecha._value,pedido.zona._value,pedido.tipo_pago._value);

                                }).error(function (error) {
                                    
                                    var urlAceptar=$rootScope.baseUrl + '&action=update&path=pedido_semanal('+pedido_semanal._id+').estado._value&value="En espera del cliente"';
                                    console.log(urlAceptar);
                                    $http.get(urlAceptar)
                                    .success(function (response2) {
                                    });
                                    $http.get(urlUnset)
                                    .success(function (response2) {
                                                                                                                   
                                    });
                                    $ionicLoading.hide();
                                    console.log(error);
                                    var alertPopup = $ionicPopup.alert({
                                        title: 'Jambo Fruit',
                                        template: 'Ocurrio un error en la conexión, intentalo mas tarde'
                                    });
                                });
                            },function(){
                                /*
                                var urlAceptar=$rootScope.baseUrl + '&action=update&path=pedido_semanal('+pedido._id+').estado._value&value="En espera del cliente"';
                                console.log(urlAceptar);
                                $http.get(urlAceptar)
                                    .success(function (d) {
                                    });
                                }
                                */
                                $http.get(urlUnset)
                                .success(function (response2) {
                                                                                                               
                                });

                                var urlAceptar=$rootScope.baseUrl + '&action=update&path=pedido_semanal('+pedido_semanal._id+').estado._value&value="En espera del cliente"';
                                console.log(urlAceptar);
                                $http.get(urlAceptar)
                                .success(function (response2) {
                                });

                                var alertPopup = $ionicPopup.alert({
                                    title: 'Jambo Fruit',
                                    template: 'No se ha generado el cobro'
                                });
                                $ionicLoading.hide();
                            }); 
                        });
                    }
                    else{
                        //$http.get(urlUpdate)
                        $http.post(urlUpdate, dataUpdate)
                            .success(function (response2) {
                                //sendMail(pedido.productos,pedido.direccion._value,pedido.hora._value,user.nombre._value,pedido.total._value,pedido.fecha._value,pedido.zona._value,pedido.tipo_pago._value);
                                sendMail(pedido_semanal.productos,pedido_semanal.direccion._value,pedido_semanal.hora._value,user.nombre._value,pedido_semanal.total._value,pedido.fecha._value,pedido.zona._value,pedido.tipo_pago._value);
                                   
                                
                            }).error(function (error) {
                                $http.get(urlUnset)
                                .success(function (response2) {
                                                                                                               
                                });
                                var urlAceptar=$rootScope.baseUrl + '&action=update&path=pedido_semanal('+pedido_semanal._id+').estado._value&value="En espera del cliente"';
                                console.log(urlAceptar);
                                $http.get(urlAceptar)
                                .success(function (response2) {
                                });

                                $ionicLoading.hide();
                                console.log(error);
                                var alertPopup = $ionicPopup.alert({
                                    title: 'Jambo Fruit',
                                    template: 'Ocurrio un error en la conexión, intentalo mas tarde'
                                });
                            });
                    }
                    
                }
                
            }).error(function (error) {
                $ionicLoading.hide();
                var alertPopup = $ionicPopup.alert({
                   title: 'ePharmacy',
                   template: 'Ocurrio un error en la conexión, intentalo mas tarde'
                });
            });
    }
    
    var sendMail=function(productos,direccion,horario,nombre,total,fecha,zona,tipo_pago){
        var usuario=JSON.parse(window.localStorage['usuario'] || '{}');
        var carrito=productos;
        var productosText='<table style="border: 1px solid black;border-collapse: collapse;width:100%;">'+
                                '<tr style="color:#258A14">'+
                                    '<th style="border: 1px solid black;border-collapse: collapse;">Cantidad</th>'+
                                    '<th style="border: 1px solid black;border-collapse: collapse;">Producto</th>'+
                                    '<th style="border: 1px solid black;border-collapse: collapse;">P/U</th>'+
                                    '<th style="border: 1px solid black;border-collapse: collapse;">Total</th>'+
                                '</tr>';
                                console.log(carrito);
        for (var i=1 ; i < carrito.length; i++) {
            console.log(carrito[i]);
            console.log(parseFloat(carrito[i].precio));
            productosText+="<tr>";
            productosText+='<td style="border: 1px solid black;border-collapse: collapse;">'+carrito[i].cantidad._value+" "+carrito[i].producto.medida+"</td>";
            productosText+='<td style="border: 1px solid black;border-collapse: collapse;">'+carrito[i].producto._value+"</td>";
            productosText+='<td style="border: 1px solid black;border-collapse: collapse;">$'+carrito[i].producto.precio+"</td>";
            productosText+='<td style="border: 1px solid black;border-collapse: collapse;">$'+parseFloat(carrito[i].cantidad._value)*parseFloat(carrito[i].producto.precio)+"</td>";
            productosText+="</tr>";
        };
        productosText+='<tr><th colspan="2">Total</th>';
        productosText+='<th colspan="2">$'+total+'</th></tr></table>';
        var mailImpresora='<html>'+
                        '<head>'+
                            '<meta charset="utf-8">'+
                        '</head>'+
                        '<body style="font-family:Arial">'+
                            '<div style="max-width:500px;margin:auto">'+
                            '<center><img src="http://asimon.mx/asimon/files/jambofruit/img/logo.png" style="width:70px">'+
                            '</center>'+
                            '<b style="font-size:20px;color:#258A14">Confirmación de pedido:</b>'+
                            '<br><br>'+
                            '<div style="line-height:25px">Hola, tu pedido ya está confirmado y estamos trabajando para llevártelo a la brevedad con nuestros productos frescos! A continuación te enviamos un resumen detallado de tu pedido. <br>Muchas Gracias!</div>'+
                            '<br><br><br>'+
                            'Nombre: <b>'+nombre+'</b>'+
                            '<br>'+
                            'Telefono: <b>'+usuario.telefono._value+'</b>'+
                            '<br><br>'+
                            'Tipo de pago: <b>'+tipo_pago+'</b>'+
                            '<br>'+
                            'Zona de entrega: <b>'+zona+'</b>'+
                            '<br>'+
                            'Dirección de entrega: <b>'+direccion+'</b>'+
                            '<br>'+
                            'Día de entrega: <b>'+moment(fecha).format("MMM Do YY")+'</b>'+
                            '<br>'+
                            'Horario seleccionado: <b>'+horario+'</b>'+
                            '<br>'+
                            'Resumen del pedido: <br><b>'+productosText+'</b>'+
                            '<br><br>'+
                            '<b></b>'+
                            'Cordialmente, <br>'+

                            'El equipo de Jambo Fruit.'+
                        '</body>'+
                        '</html>';


 
/*
        for (var i=0 ; i < carrito.length; i++) {
            productosText+= carrito[i].cantidad._value+" "+carrito[i].producto.medida+" "+carrito[i].producto._value+": $"+carrito[i].precio._value+"<br>";
        };
        productosText+="<br>Total:"+total;
        */

        var pedidoText='<html>'+
                        '<head>'+
                            '<meta charset="utf-8">'+
                        '</head>'+
                        '<body style="font-family:Arial">'+
                            '<div style="max-width:500px;margin:auto">'+
                            '<center><img src="http://asimon.mx/asimon/files/jambofruit/img/logo.png" style="width:70%">'+
                            '</center>'+
                            '<b style="font-size:20px;color:#258A14">Confirmación de pedido:</b>'+
                            '<br><br>'+
                            '<div style="line-height:25px">Hola, tu pedido ya está confirmado y estamos trabajando para llevártelo a la brevedad con nuestros productos frescos! A continuación te enviamos un resumen detallado de tu pedido. <br>Muchas Gracias!</div>'+
                            '<br><br><br>'+
                            'Nombre: <b>'+nombre+'</b>'+
                            '<br><br>'+
                            'Tipo de pago: <b>'+tipo_pago+'</b>'+
                            '<br>'+
                            'Zona de entrega: <b>'+zona+'</b>'+
                            '<br><br>'+
                            'Dirección de entrega: <b>'+direccion+'</b>'+
                            '<br><br>'+
                            'Día de entrega: <b>'+moment(fecha).format("MMM Do YY")+'</b>'+
                            '<br><br>'+
                            'Horario seleccionado: <b>'+horario+'</b>'+
                            '<br><br>'+
                            'Resumen del pedido: <br><b>'+productosText+'</b>'+
                            '<br><br><br><br>'+
                            '<b></b>'+
                            'Cordialmente, <br>'+

                            'El equipo de Jambo Fruit.'+
                            '<br><br><br><br><br>'+
                            'Fruits, Veggies and Juices<br>'+
                            '<a href="http://www.jambofruit.com">www.jambofruit.com</a>'+
                            '<br>'+
                            '<br>'+
                            '<br>'+
                            '<center>'+
                            '<b style="color:#067F00">Stay Healthy!</b>'+
                            '<br>'+
                            '<b style="color:#FF1E00">Stay Jambo!</b>'+
                            '</div>'+
                            '</center>'+
                                '<div style="background:#66A661;overflow-y:auto;margin-left:-8px;margin-right:-8px">'+
                                '<br>'+
                                '<div style="max-width:500px;margin:auto">'+
                                '<img src="http://i68.tinypic.com/v7qjjc.png" style="width:100%" />'+
                                '<br>'+
                                '<div style="width:80%;margin-left:10%;margin-top:20px">'+
                                    '<center style="background:#258A14;margin-bottom:20px;height:50px;padding-top:5px">'+
                                    '<a href="https://www.instagram.com/jambofruit/"><img style="height:40px" src="http://i66.tinypic.com/2qdsvwz.png" /></a>'+
                                    '<a href="https://www.facebook.com/Jambo-Fruit-625366037617993/"><img style="height:40px" src="http://i65.tinypic.com/iqeh6g.png" /></a>'+
                                    '<a href="https://jambofruit.com"><img style="height:40px" src="http://i66.tinypic.com/t7gx1y.png" /></a>'+
                                    '</center>'+
                                    '<a href="https://itunes.apple.com/es/app/id1132339294?mt=8"><img style="height:60px" src="http://i63.tinypic.com/313mwxc.png" /></a>'+
                                    '<a href="https://play.google.com/store/apps/details?id=com.applint.jamboFruit"><img style="height:60px" src="http://i64.tinypic.com/2h35z4o.png" /></a>'+
                                
                                '</div>'+
                                '<br>'+
                                '<br>'+
                                '<br>'+
                                '<br>'+
                                'Para soporte favor de escribir un correo a : contacto@jambofruit.com'+
                                '</div>'+
                           
                            '</div>'+

                        '</body>'+
                        '</html>';
        
        var urlMail2 = $rootScope.baseUrl + '&action=phpmailer&to=dqx56540wjx824@print.epsonconnect.com,dqx56540wjx824@print.epsonconnect.com&subject==?UTF-8?B?Q29uZmlybWFjacOzbiBwZWRpZG8gSmFtYm9GcnVpdA==?=';
        $http.post(urlMail2, {body:mailImpresora})
            .success(function (response2) {
               
            }).error(function(error){
                
            });

        var urlMail = $rootScope.baseUrl + '&action=phpmailer&to='+usuario.correo._value+',pedidos@jambofruit.com&subject==?UTF-8?B?Q29uZmlybWFjacOzbiBwZWRpZG8gSmFtYm9GcnVpdA==?=';
        $http.post(urlMail, {body:pedidoText})
            .success(function (response2) {
                $ionicLoading.hide();
                var alertPopup = $ionicPopup.alert({
                    title: 'Jambo Fruit',
                    template: 'Hemos enviado la confirmación de tu pedido a tu correo electrónico'
                });

            }).error(function(error){
                $ionicLoading.hide();
            });

    }
});


